RichTextArea.Tag (JavaFX 28)
Description: declaration: module: jfx.incubator.richtext, package: jfx.incubator.scene.control.richtext, class: RichTextArea, class: Tag

# Class RichTextArea.Tag

java.lang.Object
jfx.incubator.scene.control.richtext.RichTextArea.Tag

Enclosing class:
  `RichTextArea`

public static class RichTextArea.Tag extends Object
Function tags serve as identifiers of methods that can be customized via the `InputMap`.

Any method in RichTextArea referenced by one of these tags can be customized by providing a different implementation using `InputMap.registerFunction(FunctionTag, FunctionHandler)`. Additionally, a key binding can be customized (added, removed, or replaced) via `InputMap.registerKey(jfx.incubator.scene.control.input.KeyBinding, FunctionTag)` or `InputMap.register(jfx.incubator.scene.control.input.KeyBinding, FunctionHandler)`.

Since:
  24

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FunctionTag`
  `BACKSPACE`
  Deletes the symbol before the caret.
  `static final FunctionTag`
  `COPY`
  Copies selected text to the clipboard.
  `static final FunctionTag`
  `CUT`
  Cuts selected text and places it to the clipboard.
  `static final FunctionTag`
  `DELETE`
  Deletes symbol at the caret.
  `static final FunctionTag`
  `DELETE_PARAGRAPH`
  Deletes paragraph at the caret, or selected paragraphs.
  `static final FunctionTag`
  `DELETE_PARAGRAPH_START`
  Deletes text from the caret to paragraph start, ignoring selection.
  `static final FunctionTag`
  `DELETE_WORD_NEXT_END`
  Deletes empty paragraph or text to the end of the next word.
  `static final FunctionTag`
  `DELETE_WORD_NEXT_START`
  Deletes empty paragraph or text to the start of the next word.
  `static final FunctionTag`
  `DELETE_WORD_PREVIOUS`
  Deletes (multiple) empty paragraphs or text to the beginning of the previous word.
  `static final FunctionTag`
  `DESELECT`
  Clears any existing selection by moving anchor to the caret position.
  `static final FunctionTag`
  `ERROR_FEEDBACK`
  Provides audio and/or visual error feedback.
  `static final FunctionTag`
  `FOCUS_NEXT`
  Focus the next focusable node.
  `static final FunctionTag`
  `FOCUS_PREVIOUS`
  Focus the previous focusable node.
  `static final FunctionTag`
  `INSERT_LINE_BREAK`
  Inserts a line break at the caret.
  `static final FunctionTag`
  `INSERT_TAB`
  Inserts a tab symbol at the caret (editable), or transfer focus to the next focusable node.
  `static final FunctionTag`
  `MOVE_DOWN`
  Moves the caret one visual line down.
  `static final FunctionTag`
  `MOVE_LEFT`
  Moves the caret one symbol to the left.
  `static final FunctionTag`
  `MOVE_PARAGRAPH_DOWN`
  Moves the caret to the end of the current paragraph, or, if already there, to the end of the next paragraph.
  `static final FunctionTag`
  `MOVE_PARAGRAPH_UP`
  Moves the caret to the start of the current paragraph, or, if already there, to the start of the previous paragraph.
  `static final FunctionTag`
  `MOVE_RIGHT`
  Moves the caret one symbol to the right.
  `static final FunctionTag`
  `MOVE_TO_DOCUMENT_END`
  Moves the caret to after the last character of the text.
  `static final FunctionTag`
  `MOVE_TO_DOCUMENT_START`
  Moves the caret to before the first character of the text.
  `static final FunctionTag`
  `MOVE_TO_LINE_END`
  Moves the caret to the end of the visual text line at caret.
  `static final FunctionTag`
  `MOVE_TO_LINE_START`
  Moves the caret to the beginning of the visual text line at caret.
  `static final FunctionTag`
  `MOVE_TO_PARAGRAPH_END`
  Moves the caret to the end of the paragraph at caret.
  `static final FunctionTag`
  `MOVE_TO_PARAGRAPH_START`
  Moves the caret to the beginning of the paragraph at caret.
  `static final FunctionTag`
  `MOVE_UP`
  Moves the caret one visual text line up.
  `static final FunctionTag`
  `MOVE_WORD_LEFT`
  Moves the caret one word left (previous word if LTR, next word if RTL).
  `static final FunctionTag`
  `MOVE_WORD_NEXT_END`
  Moves the caret to the end of the next word.
  `static final FunctionTag`
  `MOVE_WORD_NEXT_START`
  Moves the caret to the start of the next word, or next paragraph if at the start of an empty paragraph.
  `static final FunctionTag`
  `MOVE_WORD_PREVIOUS`
  Moves the caret to the beginning of previous word.
  `static final FunctionTag`
  `MOVE_WORD_RIGHT`
  Moves the caret one word right (next word if LTR, previous word if RTL).
  `static final FunctionTag`
  `PAGE_DOWN`
  Moves the caret one visual page down.
  `static final FunctionTag`
  `PAGE_UP`
  Moves the caret one visual page up.
  `static final FunctionTag`
  `PASTE`
  Pastes the clipboard content.
  `static final FunctionTag`
  `PASTE_PLAIN_TEXT`
  Pastes the plain text clipboard content.
  `static final FunctionTag`
  `REDO`
  If possible, redoes the last undone modification.
  `static final FunctionTag`
  `SELECT_ALL`
  Selects all text in the document.
  `static final FunctionTag`
  `SELECT_DOWN`
  Extends selection one visual text line down.
  `static final FunctionTag`
  `SELECT_LEFT`
  Extends selection one symbol to the left.
  `static final FunctionTag`
  `SELECT_PAGE_DOWN`
  Extends selection one visible page down.
  `static final FunctionTag`
  `SELECT_PAGE_UP`
  Extends selection one visible page up.
  `static final FunctionTag`
  `SELECT_PARAGRAPH`
  Selects the current paragraph.
  `static final FunctionTag`
  `SELECT_PARAGRAPH_DOWN`
  Extends selection to the end of the current paragraph, or, if already there, to the end of the next paragraph.
  `static final FunctionTag`
  `SELECT_PARAGRAPH_END`
  Extends selection to the paragraph end.
  `static final FunctionTag`
  `SELECT_PARAGRAPH_START`
  Extends selection to the paragraph start.
  `static final FunctionTag`
  `SELECT_PARAGRAPH_UP`
  Extends selection to the start of the current paragraph, or, if already there, to the start of the previous paragraph.
  `static final FunctionTag`
  `SELECT_RIGHT`
  Extends selection one symbol to the right.
  `static final FunctionTag`
  `SELECT_TO_DOCUMENT_END`
  Extends selection to the end of the document.
  `static final FunctionTag`
  `SELECT_TO_DOCUMENT_START`
  Extends selection to the start of the document.
  `static final FunctionTag`
  `SELECT_TO_LINE_END`
  Extends selection to the end of the visual text line at caret.
  `static final FunctionTag`
  `SELECT_TO_LINE_START`
  Extends selection to the start of the visual text line at caret.
  `static final FunctionTag`
  `SELECT_UP`
  Extends selection one visual text line up.
  `static final FunctionTag`
  `SELECT_WORD`
  Selects a word at the caret position.
  `static final FunctionTag`
  `SELECT_WORD_LEFT`
  Extends selection to the previous word (LTR) or next word (RTL).
  `static final FunctionTag`
  `SELECT_WORD_NEXT`
  Extends selection to the beginning of next word.
  `static final FunctionTag`
  `SELECT_WORD_NEXT_END`
  Extends selection to the end of next word.
  `static final FunctionTag`
  `SELECT_WORD_PREVIOUS`
  Extends selection to the previous word.
  `static final FunctionTag`
  `SELECT_WORD_RIGHT`
  Extends selection to the next word (LTR) or previous word (RTL).
  `static final FunctionTag`
  `UNDO`
  If possible, undoes the last modification.

- ## Method Summary

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BACKSPACE

    public static final FunctionTag BACKSPACE
    Deletes the symbol before the caret.

  - ### COPY

    public static final FunctionTag COPY
    Copies selected text to the clipboard.

  - ### CUT

    public static final FunctionTag CUT
    Cuts selected text and places it to the clipboard.

  - ### DELETE

    public static final FunctionTag DELETE
    Deletes symbol at the caret.

  - ### DELETE_PARAGRAPH

    public static final FunctionTag DELETE_PARAGRAPH
    Deletes paragraph at the caret, or selected paragraphs.

  - ### DELETE_PARAGRAPH_START

    public static final FunctionTag DELETE_PARAGRAPH_START
    Deletes text from the caret to paragraph start, ignoring selection.

  - ### DELETE_WORD_NEXT_END

    public static final FunctionTag DELETE_WORD_NEXT_END
    Deletes empty paragraph or text to the end of the next word.

  - ### DELETE_WORD_NEXT_START

    public static final FunctionTag DELETE_WORD_NEXT_START
    Deletes empty paragraph or text to the start of the next word.

  - ### DELETE_WORD_PREVIOUS

    public static final FunctionTag DELETE_WORD_PREVIOUS
    Deletes (multiple) empty paragraphs or text to the beginning of the previous word.

  - ### DESELECT

    public static final FunctionTag DESELECT
    Clears any existing selection by moving anchor to the caret position.

  - ### ERROR_FEEDBACK

    public static final FunctionTag ERROR_FEEDBACK
    Provides audio and/or visual error feedback.

  - ### FOCUS_NEXT

    public static final FunctionTag FOCUS_NEXT
    Focus the next focusable node.

  - ### FOCUS_PREVIOUS

    public static final FunctionTag FOCUS_PREVIOUS
    Focus the previous focusable node.

  - ### INSERT_LINE_BREAK

    public static final FunctionTag INSERT_LINE_BREAK
    Inserts a line break at the caret.

  - ### MOVE_DOWN

    public static final FunctionTag MOVE_DOWN
    Moves the caret one visual line down.

  - ### MOVE_LEFT

    public static final FunctionTag MOVE_LEFT
    Moves the caret one symbol to the left.

  - ### MOVE_PARAGRAPH_DOWN

    public static final FunctionTag MOVE_PARAGRAPH_DOWN
    Moves the caret to the end of the current paragraph, or, if already there, to the end of the next paragraph.

  - ### MOVE_PARAGRAPH_UP

    public static final FunctionTag MOVE_PARAGRAPH_UP
    Moves the caret to the start of the current paragraph, or, if already there, to the start of the previous paragraph.

  - ### MOVE_RIGHT

    public static final FunctionTag MOVE_RIGHT
    Moves the caret one symbol to the right.

  - ### MOVE_TO_DOCUMENT_END

    public static final FunctionTag MOVE_TO_DOCUMENT_END
    Moves the caret to after the last character of the text.

  - ### MOVE_TO_DOCUMENT_START

    public static final FunctionTag MOVE_TO_DOCUMENT_START
    Moves the caret to before the first character of the text.

  - ### MOVE_TO_LINE_END

    public static final FunctionTag MOVE_TO_LINE_END
    Moves the caret to the end of the visual text line at caret.

  - ### MOVE_TO_LINE_START

    public static final FunctionTag MOVE_TO_LINE_START
    Moves the caret to the beginning of the visual text line at caret.

  - ### MOVE_TO_PARAGRAPH_END

    public static final FunctionTag MOVE_TO_PARAGRAPH_END
    Moves the caret to the end of the paragraph at caret.

  - ### MOVE_TO_PARAGRAPH_START

    public static final FunctionTag MOVE_TO_PARAGRAPH_START
    Moves the caret to the beginning of the paragraph at caret.

  - ### MOVE_UP

    public static final FunctionTag MOVE_UP
    Moves the caret one visual text line up.

  - ### MOVE_WORD_LEFT

    public static final FunctionTag MOVE_WORD_LEFT
    Moves the caret one word left (previous word if LTR, next word if RTL).

  - ### MOVE_WORD_NEXT_START

    public static final FunctionTag MOVE_WORD_NEXT_START
    Moves the caret to the start of the next word, or next paragraph if at the start of an empty paragraph.

  - ### MOVE_WORD_NEXT_END

    public static final FunctionTag MOVE_WORD_NEXT_END
    Moves the caret to the end of the next word.

  - ### MOVE_WORD_PREVIOUS

    public static final FunctionTag MOVE_WORD_PREVIOUS
    Moves the caret to the beginning of previous word.

  - ### MOVE_WORD_RIGHT

    public static final FunctionTag MOVE_WORD_RIGHT
    Moves the caret one word right (next word if LTR, previous word if RTL).

  - ### PAGE_DOWN

    public static final FunctionTag PAGE_DOWN
    Moves the caret one visual page down.

  - ### PAGE_UP

    public static final FunctionTag PAGE_UP
    Moves the caret one visual page up.

  - ### PASTE

    public static final FunctionTag PASTE
    Pastes the clipboard content.

  - ### PASTE_PLAIN_TEXT

    public static final FunctionTag PASTE_PLAIN_TEXT
    Pastes the plain text clipboard content.

  - ### REDO

    public static final FunctionTag REDO
    If possible, redoes the last undone modification.

  - ### SELECT_ALL

    public static final FunctionTag SELECT_ALL
    Selects all text in the document.

  - ### SELECT_DOWN

    public static final FunctionTag SELECT_DOWN
    Extends selection one visual text line down.

  - ### SELECT_LEFT

    public static final FunctionTag SELECT_LEFT
    Extends selection one symbol to the left.

  - ### SELECT_PAGE_DOWN

    public static final FunctionTag SELECT_PAGE_DOWN
    Extends selection one visible page down.

  - ### SELECT_PAGE_UP

    public static final FunctionTag SELECT_PAGE_UP
    Extends selection one visible page up.

  - ### SELECT_PARAGRAPH

    public static final FunctionTag SELECT_PARAGRAPH
    Selects the current paragraph.

  - ### SELECT_PARAGRAPH_DOWN

    public static final FunctionTag SELECT_PARAGRAPH_DOWN
    Extends selection to the end of the current paragraph, or, if already there, to the end of the next paragraph.

  - ### SELECT_PARAGRAPH_END

    public static final FunctionTag SELECT_PARAGRAPH_END
    Extends selection to the paragraph end.

  - ### SELECT_PARAGRAPH_START

    public static final FunctionTag SELECT_PARAGRAPH_START
    Extends selection to the paragraph start.

  - ### SELECT_PARAGRAPH_UP

    public static final FunctionTag SELECT_PARAGRAPH_UP
    Extends selection to the start of the current paragraph, or, if already there, to the start of the previous paragraph.

  - ### SELECT_RIGHT

    public static final FunctionTag SELECT_RIGHT
    Extends selection one symbol to the right.

  - ### SELECT_TO_DOCUMENT_END

    public static final FunctionTag SELECT_TO_DOCUMENT_END
    Extends selection to the end of the document.

  - ### SELECT_TO_DOCUMENT_START

    public static final FunctionTag SELECT_TO_DOCUMENT_START
    Extends selection to the start of the document.

  - ### SELECT_TO_LINE_END

    public static final FunctionTag SELECT_TO_LINE_END
    Extends selection to the end of the visual text line at caret.

  - ### SELECT_TO_LINE_START

    public static final FunctionTag SELECT_TO_LINE_START
    Extends selection to the start of the visual text line at caret.

  - ### SELECT_UP

    public static final FunctionTag SELECT_UP
    Extends selection one visual text line up.

  - ### SELECT_WORD

    public static final FunctionTag SELECT_WORD
    Selects a word at the caret position.

  - ### SELECT_WORD_LEFT

    public static final FunctionTag SELECT_WORD_LEFT
    Extends selection to the previous word (LTR) or next word (RTL).

  - ### SELECT_WORD_NEXT

    public static final FunctionTag SELECT_WORD_NEXT
    Extends selection to the beginning of next word.

  - ### SELECT_WORD_NEXT_END

    public static final FunctionTag SELECT_WORD_NEXT_END
    Extends selection to the end of next word.

  - ### SELECT_WORD_PREVIOUS

    public static final FunctionTag SELECT_WORD_PREVIOUS
    Extends selection to the previous word.

  - ### SELECT_WORD_RIGHT

    public static final FunctionTag SELECT_WORD_RIGHT
    Extends selection to the next word (LTR) or previous word (RTL).

  - ### INSERT_TAB

    public static final FunctionTag INSERT_TAB
    Inserts a tab symbol at the caret (editable), or transfer focus to the next focusable node.

  - ### UNDO

    public static final FunctionTag UNDO
    If possible, undoes the last modification.